Extending Qt Creator Manual | GdbServerRunner

Extending Qt Creator Manual 4.4.0

# GdbServerRunner Class

(Debugger::GdbServerRunner)

Inherits: | ProjectExplorer::SimpleTargetRunner

- List of all members, including inherited members

## Public Functions

| GdbServerRunner(ProjectExplorer::RunControl *runControl, GdbServerPortsGatherer *portsGatherer)
| ~GdbServerRunner()

- 1 public function inherited from ProjectExplorer::SimpleTargetRunner
- 23 public functions inherited from ProjectExplorer::RunWorker

### Additional Inherited Members

- 2 signals inherited from ProjectExplorer::RunWorker
- 1 static public member inherited from ProjectExplorer::RunWorker
- 2 protected functions inherited from ProjectExplorer::SimpleTargetRunner

## Member Function Documentation

### GdbServerRunner::GdbServerRunner(ProjectExplorer::RunControl *runControl, GdbServerPortsGatherer *portsGatherer)

Default constructs an instance of GdbServerRunner.

### GdbServerRunner::~GdbServerRunner()

Destroys the instance of GdbServerRunner.